Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification
Interface PullPoint

All Superinterfaces:
  Capability, Initialization, InitializationParameters, Shutdown

All Known Implementing Classes:
  SimplePullPoint

public interface PullPoint
extends Capability

PullPoint is an interface that represents the WS-Notification PullPoint port type; it is based on WS-N 1.3. This interface adds methods for discovering information about the types of messages the pullpoint stores and how it stores them.

Author:
  Dan Jemiolo (danj)

Method Summary
`PullPointDataStore` | `getDataStore()`
`Filter` | `getFilter()`
`NotificationMessage[]` | `getMessages(int maxNumber)`
`WsResource` | `getSubscription()`
`void` | `setSubscription(WsResource sub)`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Method Detail

### getDataStore

    public PullPointDataStore getDataStore()

  Returns:
    The storage API that is used to store the messages received by the pullpoint from a resource.

### getFilter

    public Filter getFilter()

  Returns:
    The filter that is used by the pullpoint resource when it is subscribing to notifications on a target resource.

### getMessages

    public NotificationMessage[] getMessages(int maxNumber)
                                      throws UnableToGetMessagesFault

  Throws:
    `UnableToGetMessagesFault`
  See Also:
    `PullPointDataStore.getMessages(int)`

### getSubscription

    public WsResource getSubscription()

  Returns:
    The subscription resource that the pullpoint set up to receive its messages.

### setSubscription

    public void setSubscription(WsResource sub)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD